#include <iostream>
#include <stack>
#include <algorithm>

using namespace std;

int main(){
  string s;
  cin >> s;

  stack <char> operacije;
  stack <int> vrednosti;

  for (char c : s){
    // karakter m ili M --- operacija
    if (c == 'm' || c == 'M')
      operacije.push(c);
    // cifra --- vrednost
    else if (isdigit(c))
      vrednosti.push(c-'0');
    // otvorena zagrada --- nista
    // zatvorena zagrada --- akcija!
    else if (c == ')'){
      char op = operacije.top();
      operacije.pop();

      int vr1, vr2;
      vr1 = vrednosti.top();
      vrednosti.pop();
      vr2 = vrednosti.top();
      vrednosti.pop();

      switch (op){
      case 'm' :
	vrednosti.push(min(vr1, vr2));
	break;
      case 'M' :
	vrednosti.push(max(vr1, vr2));
	break;
      }
    }
  }

  cout << vrednosti.top() << endl;
  return 0;
}
